#
# Conditional build:
%bcond_with	tests	# perform "make test" (opens /dev/mixer)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	Mixer
Summary:	Audio::Mixer - Perl extension for sound mixer control
Summary(pl.UTF-8):	Audio::Mixer - rozszerzenie Perla do sterowania mikserem dźwięku
Name:		perl-Audio-Mixer
Version:	0.7
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5aaa808a4852ed68f952705172ece2a8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is just a very simple Perl interface which allows to set various
sound mixer parameters. The most important probably 'vol' (volume).
The list of all mixer parameters can be obtained using
get_mixer_params() function.

%description -l pl.UTF-8
To jest bardzo prosty perlowy interfejs, pozwalający na ustawianie
różnych parametrów miksera dźwięku. Prawdopodobnie najważniejszym jest
'vol' (głośność). Listę wszystkich parametrów miksera można odczytać
funkcją get_mixer_params().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{perl_vendorarch}/Audio/volume.pl
%{perl_vendorarch}/Audio/Mixer.pm
%dir %{perl_vendorarch}/auto/Audio/Mixer
%{perl_vendorarch}/auto/Audio/Mixer/autosplit.ix
%{perl_vendorarch}/auto/Audio/Mixer/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Mixer/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-Mixer.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d650234
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c5aec
- release 5

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> a67c581
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b4d5fd1
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 55072fc
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 496763a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2d179dd
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a3cc2a1
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> ad175d7
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> c86bd20
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 2d3ab60
- cosmetics

* Fri Apr 16 2004 ankry <ankry@pld-linux.org> 2661172
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 24e085e
- caps and other cosmetics

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 02c2ab3
- new style bconds

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 7e9222c
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 548d06d
- up to 0.7, summaries (from RA-branch), release 2

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 78918be
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 44e6eb4
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> ba21ed5
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 427bcd2
- should be ready for perl-5.8.0; release++

